Update details of Boosted Page Campaign
curl --request POST \
--url https://api.boosterberg.com-beta.com/v1/boosted-pages/save/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"budget": "50",
"targeting": {
"geo_locations": {
"countries": [
"US"
],
"cities": [
{
"key": "2418779",
"name": "New York",
"region": "New York",
"country": "US",
"radius": 25,
"distance_unit": "mile"
}
],
"location_types": [
"home",
"recent"
]
},
"age_min": 21,
"age_max": 55,
"genders": [
1,
2
],
"locales": [
6
],
"flexible_spec": [
{
"interests": [
{
"id": "6003107902433",
"name": "Travel"
},
{
"id": "6003397425735",
"name": "Outdoor recreation"
}
],
"behaviors": [
{
"id": "6002714895372",
"name": "Frequent Travelers"
}
]
}
],
"exclusions": {
"interests": [
{
"id": "6003020834693",
"name": "Business travel"
}
]
},
"publisher_platforms": [
"facebook",
"instagram"
],
"facebook_positions": [
"feed",
"video_feeds"
],
"instagram_positions": [
"stream",
"story",
"reels"
],
"device_platforms": [
"mobile",
"desktop"
],
"targeting_automation": {
"advantage_audience": 0
}
},
"hashtag": "#ad1",
"end_date": "<string>"
}
'import requests
url = "https://api.boosterberg.com-beta.com/v1/boosted-pages/save/{id}"
payload = {
"budget": "50",
"targeting": {
"geo_locations": {
"countries": ["US"],
"cities": [
{
"key": "2418779",
"name": "New York",
"region": "New York",
"country": "US",
"radius": 25,
"distance_unit": "mile"
}
],
"location_types": ["home", "recent"]
},
"age_min": 21,
"age_max": 55,
"genders": [1, 2],
"locales": [6],
"flexible_spec": [
{
"interests": [
{
"id": "6003107902433",
"name": "Travel"
},
{
"id": "6003397425735",
"name": "Outdoor recreation"
}
],
"behaviors": [
{
"id": "6002714895372",
"name": "Frequent Travelers"
}
]
}
],
"exclusions": { "interests": [
{
"id": "6003020834693",
"name": "Business travel"
}
] },
"publisher_platforms": ["facebook", "instagram"],
"facebook_positions": ["feed", "video_feeds"],
"instagram_positions": ["stream", "story", "reels"],
"device_platforms": ["mobile", "desktop"],
"targeting_automation": { "advantage_audience": 0 }
},
"hashtag": "#ad1",
"end_date": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
budget: '50',
targeting: {
geo_locations: {
countries: ['US'],
cities: [
{
key: '2418779',
name: 'New York',
region: 'New York',
country: 'US',
radius: 25,
distance_unit: 'mile'
}
],
location_types: ['home', 'recent']
},
age_min: 21,
age_max: 55,
genders: [1, 2],
locales: [6],
flexible_spec: [
{
interests: [
{id: '6003107902433', name: 'Travel'},
{id: '6003397425735', name: 'Outdoor recreation'}
],
behaviors: [{id: '6002714895372', name: 'Frequent Travelers'}]
}
],
exclusions: {interests: [{id: '6003020834693', name: 'Business travel'}]},
publisher_platforms: ['facebook', 'instagram'],
facebook_positions: ['feed', 'video_feeds'],
instagram_positions: ['stream', 'story', 'reels'],
device_platforms: ['mobile', 'desktop'],
targeting_automation: {advantage_audience: 0}
},
hashtag: '#ad1',
end_date: '<string>'
})
};
fetch('https://api.boosterberg.com-beta.com/v1/boosted-pages/save/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueAPI Reference
Update details of Boosted Page Campaign
POST
/
boosted-pages
/
save
/
{id}
Update details of Boosted Page Campaign
trueAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
11
Body
application/json
Example:
"50"
JSON-encoded Facebook AdSet targeting spec (merged on top of the preset's audience_targeting). See https://developers.facebook.com/docs/marketing-api/audiences/reference/targeting-specs
Example:
{
"geo_locations": {
"countries": ["US"],
"cities": [
{
"key": "2418779",
"name": "New York",
"region": "New York",
"country": "US",
"radius": 25,
"distance_unit": "mile"
}
],
"location_types": ["home", "recent"]
},
"age_min": 21,
"age_max": 55,
"genders": [1, 2],
"locales": [6],
"flexible_spec": [
{
"interests": [
{ "id": "6003107902433", "name": "Travel" },
{
"id": "6003397425735",
"name": "Outdoor recreation"
}
],
"behaviors": [
{
"id": "6002714895372",
"name": "Frequent Travelers"
}
]
}
],
"exclusions": {
"interests": [
{
"id": "6003020834693",
"name": "Business travel"
}
]
},
"publisher_platforms": ["facebook", "instagram"],
"facebook_positions": ["feed", "video_feeds"],
"instagram_positions": ["stream", "story", "reels"],
"device_platforms": ["mobile", "desktop"],
"targeting_automation": { "advantage_audience": 0 }
}
Example:
"#ad1"
Campaign end date (timestamp)
Response
200 - application/json
Returns true when change of status is successful
The response is of type boolean.
⌘I